Rockwell Automation ControlLogix Communications Modules Multiple Vulnerabilities

critical Nessus Plugin ID 177893

Synopsis

The Rockwell Automation ControlLogix Communications Modules are affected by multiple vulnerabilities.

Description

Rockwell Automation ControlLogix Communications Modules are affected by multiple vulnerabilities, as follows:

- A remote code execution vulnerability via crafted CIP messages. (CVE-2023-3595)

- A denial of service vulnerability via crafted CIP messages. (CVE-2023-3596)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update to 11.004 or later or see Rockwell Automation's suggested actions and best practices

See Also

http://www.nessus.org/u?a39743bf

http://www.nessus.org/u?3ba6a760

https://www.cisa.gov/news-events/ics-advisories/icsa-23-193-01

Plugin Details

Severity: Critical

ID: 177893

File Name: rockwell_automation_controllogix_1756.nbin

Version: 1.21

Type: remote

Family: SCADA

Published: 7/3/2023

Updated: 6/13/2024

Supported Sensors: Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: Critical

Base Score: 10

Temporal Score: 7.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

CVSS Score Source: CVE-2023-3595

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:rockwellautomation:1756-en2t_series_c, cpe:/o:rockwellautomation:1756-en3tr_series_b, cpe:/o:rockwellautomation:1756-en2f_series_b, cpe:/o:rockwellautomation:1756-en3tr_series_a, cpe:/o:rockwellautomation:1756-en2tr_series_b, cpe:/o:rockwellautomation:1756-en2f_series_a, cpe:/o:rockwellautomation:1756-en4tr, cpe:/o:rockwellautomation:1756-en2t_series_d, cpe:/o:rockwellautomation:1756-en2tr_series_c, cpe:/o:rockwellautomation:1756-en2t_series_b, cpe:/o:rockwellautomation:1756-en2f_series_c, cpe:/o:rockwellautomation:1756-en2tr_series_a, cpe:/o:rockwellautomation:1756-en2t_series_a

Required KB Items: installed_sw/Rockwell Automation/Allen-Bradley 1756 EN2T/EN2F Series Device

Exploit Ease: No known exploits are available

Patch Publication Date: 7/1/2023

Vulnerability Publication Date: 7/12/2023

Reference Information

CVE: CVE-2023-3595, CVE-2023-3596

ICSA: 23-193-01